gnupg_cleardecryptkeys
gnupg_clearsignkeys
GnuPG Functions
PHP Manual

# gnupg_clearencryptkeys

(PECL gnupg:0.5-1.3.1)

gnupg_clearencryptkeys — Removes all keys which were set for encryption before

### Description

bool gnupg_clearencryptkeys ( resource `$identifier` )

### Parameters

`identifier`

  The gnupg identifier, from a call to gnupg_init() or gnupg.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 Procedural gnupg_clearencryptkeys() example

`<?php
$res = gnupg_init();
gnupg_clearencryptkeys($res);
?>`

Example #2 OO gnupg_clearencryptkeys() example

`<?php
$gpg = new gnupg();
$gpg -> clearencryptkeys();
?>`

gnupg_cleardecryptkeys
gnupg_clearsignkeys
GnuPG Functions
PHP Manual